Package com.google.protobuf

# Interface DescriptorProtos.FieldOptions.FeatureSupportOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `DescriptorProtos.FieldOptions.FeatureSupport`, `DescriptorProtos.FieldOptions.FeatureSupport.Builder`

Enclosing class:
  `DescriptorProtos.FieldOptions`

public static interface DescriptorProtos.FieldOptions.FeatureSupportOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getDeprecationWarning()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`ByteString`
`getDeprecationWarningBytes()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`DescriptorProtos.Edition`
`getEditionDeprecated()`
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`
`DescriptorProtos.Edition`
`getEditionIntroduced()`
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`
`DescriptorProtos.Edition`
`getEditionRemoved()`
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`
`boolean`
`hasDeprecationWarning()`
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`
`boolean`
`hasEditionDeprecated()`
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`
`boolean`
`hasEditionIntroduced()`
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`
`boolean`
`hasEditionRemoved()`
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### hasEditionIntroduced

boolean hasEditionIntroduced()
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`

Returns:
  Whether the editionIntroduced field is set.

### getEditionIntroduced

DescriptorProtos.Edition getEditionIntroduced()
`optional .google.protobuf.Edition edition_introduced = 1 [json_name = "editionIntroduced"];`

Returns:
  The editionIntroduced.

### hasEditionDeprecated

boolean hasEditionDeprecated()
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`

Returns:
  Whether the editionDeprecated field is set.

### getEditionDeprecated

DescriptorProtos.Edition getEditionDeprecated()
`optional .google.protobuf.Edition edition_deprecated = 2 [json_name = "editionDeprecated"];`

Returns:
  The editionDeprecated.

### hasDeprecationWarning

boolean hasDeprecationWarning()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Returns:
  Whether the deprecationWarning field is set.

### getDeprecationWarning

String getDeprecationWarning()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Returns:
  The deprecationWarning.

### getDeprecationWarningBytes

ByteString getDeprecationWarningBytes()
`optional string deprecation_warning = 3 [json_name = "deprecationWarning"];`

Returns:
  The bytes for deprecationWarning.

### hasEditionRemoved

boolean hasEditionRemoved()
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`

Returns:
  Whether the editionRemoved field is set.

### getEditionRemoved

DescriptorProtos.Edition getEditionRemoved()
`optional .google.protobuf.Edition edition_removed = 4 [json_name = "editionRemoved"];`

Returns:
  The editionRemoved.